%define lib_major 1
%define libname %mklibname %{name}-private %{lib_major}
%define libnamedev %mklibname -d %{name}-private

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:    Metacity window manager
Name:       metacity
Version:    3.22.1
Release:    %mkrel 1
URL:        https://wiki.gnome.org/Metacity
Source0:    https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:    GPLv2+
Group:      Graphical desktop/GNOME

BuildRequires: pkgconfig(gtk+-3.0) >= 3.19.8
BuildRequires: pkgconfig(glib-2.0) >= 2.44.0
BuildRequires: pkgconfig(gthread-2.0) >= 2.44.0
BuildRequires: pkgconfig(pangoxft) >= 1.2.0
BuildRequires: pkgconfig(xcomposite) >= 0.3
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(gsettings-desktop-schemas) >= 3.3.0
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.7
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xrandr)
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: yelp-tools
BuildRequires: zenity

Requires:   zenity
Requires:   %{name}-schemas

%description
Metacity is a window manager for the GNOME Desktop.

%package -n %{name}-schemas
Summary:    Gsettings schemas for %{name}
Group:      Graphical desktop/GNOME

%description -n %{name}-schemas
Gsettings schemas for %{name}

%package -n %{libname}
Summary:        Libraries for Metacity
Group:          System/Libraries

%description -n %{libname}
This package contains libraries used by Metacity.

%package -n %{libnamedev}
Summary:        Libraries and include files with Metacity
Group:          Development/GNOME and GTK+
Requires:       %{name} = %{version}
Requires:		%{libname} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		lib%{name}-private-devel = %{version}-%{release}
Obsoletes:      %mklibname -d %{name}-private 0 < %{version}

%description -n %{libnamedev}
This package provides the necessary development libraries and include 
files to allow you to develop with Metacity.


%prep
%autosetup

%build
%configure2_5x --disable-static \
    --disable-schemas-compile
%make_build

%install
%make_install

%find_lang %{name} --with-help --all-name

rm -fr %buildroot%{_libdir}/*.la

%define schemas metacity

%files -f %{name}.lang
%doc README COPYING NEWS HACKING 
%{_bindir}/*
%{_datadir}/gnome-control-center/keybindings/50-metacity*.xml
%{_datadir}/applications/metacity.desktop
%{_datadir}/metacity

%files -n %{name}-schemas
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.theme.gschema.xml

%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Sat Jan 21 2017 tarakbumba <tarakbumba> 3.22.1-1.mga6
+ Revision: 1082854
- Update to 3.22.1 version

* Mon Feb 08 2016 umeabot <umeabot> 2.34.13-8.mga6
+ Revision: 945374
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.34.13-7.mga5
+ Revision: 746158
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.34.13-6.mga5
+ Revision: 727235
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.34.13-5.mga5
+ Revision: 682366
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 2.34.13-4.mga5
+ Revision: 550186
- fix url

* Fri Oct 18 2013 umeabot <umeabot> 2.34.13-3.mga4
+ Revision: 507954
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.34.13-2.mga3
+ Revision: 359988
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 2.34.13-1.mga3
+ Revision: 306760
- new version 2.34.13

* Mon Sep 03 2012 fwang <fwang> 2.34.8-1.mga3
+ Revision: 287567
- find all name
- update file list
- use itstool

  + ovitters <ovitters>
    - new version 2.34.8

* Thu Aug 09 2012 ovitters <ovitters> 2.34.5-1.mga3
+ Revision: 280247
- new version 2.34.5

* Tue Mar 20 2012 ovitters <ovitters> 2.34.3-1.mga2
+ Revision: 225092
- new version 2.34.3

* Wed Feb 08 2012 ovitters <ovitters> 2.34.2-1.mga2
+ Revision: 206528
- update buildrequires
- clean spec
- update file list
- new version
- fix URL

* Fri Jan 20 2012 fwang <fwang> 2.34.1-5.mga2
+ Revision: 198770
- upload oxygen metacity theme

  + dmorgan <dmorgan>
    - Add  libsm-devel as buildrequires to fix session management support
    - Fix libs removal
    - Get rid of .la files
    - Seems ok to push it now
    - Add comment to not upload metacity

  + mikala <mikala>
    - Update tarball to 2.34.1
    - Fix files list
    - Disable patch2 & patch9

* Thu Mar 24 2011 boklm <boklm> 2.30.3-4.mga1
+ Revision: 76192
- rebuild for bug #497

* Sun Mar 20 2011 ahmad <ahmad> 2.30.3-3.mga1
+ Revision: 75068
- add patch from upstream to fix gdm-greeter pop-up message at login, this changes
  warn_about_lame_clients_and_finish_interact() to be called only when interacting
  with the window manager in a session save (thanks to misc)

* Wed Jan 19 2011 blino <blino> 2.30.3-2.mga1
+ Revision: 23756
- buildrequire libcanberra-gtk-devel since it has been split out
- remove old version in comments
- remove old theme upgrade trigger
- remove old scriptlets
- imported package metacity

